Information on source package kvirc

Available versions

ReleaseVersion
jessie4:4.2.0-2
stretch4:4.2.0-3
buster4:5.0.0+dfsg-1
bullseye4:5.0.0+dfsg-1
sid4:5.0.0+dfsg-1

Resolved issues

BugDescription
CVE-2010-2785The IRC Protocol component in KVIrc 3.x and 4.x before r4693 does not ...
CVE-2010-2452Directory traversal vulnerability in the DCC functionality in KVIrc 3. ...
CVE-2010-2451Multiple format string vulnerabilities in the DCC functionality in KVI ...
CVE-2008-7070Argument injection vulnerability in the URI handler in KVIrc 3.4.2 Shi ...
CVE-2008-4748Format string vulnerability in the URI handler in KVirc 3.4.0, when se ...
CVE-2007-2951The parseIrcUrl function in src/kvirc/kernel/kvi_ircurl.cpp in KVIrc 3 ...

Security announcements

DSA / DLADescription
DSA-2078-1kvirc - arbitrary IRC command execution
DSA-2065-1kvirc - several vulnerabilities

Search for package or bug name: Reporting problems